#ifndef ZONEPROPERTIES_H_
#define ZONEPROPERTIES_H_

#include <msp/gltk/dialog.h>
#include <msp/gltk/dropdown.h>
#include <msp/gltk/entry.h>
#include "libr2c2/zone.h"

class ZoneProperties: public Msp::GLtk::Dialog
{
private:
	R2C2::Zone &zone;
	Msp::GLtk::Entry *ent_group;
	Msp::GLtk::Dropdown *drp_qualifier;
	Msp::GLtk::Entry *ent_number;

public:
	ZoneProperties(R2C2::Zone &);

private:
	virtual void on_response(int);
};

#endif
